List all versions of a flow - SuperAI Flows

List all versions of a flow

cURL

curl --request GET \
  --url https://flows.super.ai/api/flows/{flow_id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'

Python

import requests

url = "https://flows.super.ai/api/flows/{flow_id}/versions"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/flows/{flow_id}/versions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200

Example

[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "definition": {},
    "display_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_latest": true,
    "modified_by": "<string>",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 2,
    "description": "<string>",
    "flow_executions_count": 0,
    "settings": {
      "reexecute_on_update": false,
      "ttl": {}
    },
    "task_names": [
      "<string>"
    ],
    "validation_errors": [
      {
        "input": "<unknown>",
        "loc": [
          123
        ],
        "msg": "<string>",
        "type": "<string>",
        "ctx": {},
        "url": "<string>"
      }
    ]
  }
]

Authorizations

X-API-Key

API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY

Example:

X-API-Key: saf_1234567890

Authorization

JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Path Parameters

Query Parameters

Response Structure